package com.shkj.wms.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author lch
 */
@Getter
@AllArgsConstructor
public enum OutOrderStatusEnum {

    /**
     * 0.初始状态；
     * 1.生成波次；
     * 2.异常状态；
     * 3.任务可索取；
     * 4.任务已索取；
     * 5.拣货确认；
     * 6.内复核索取；
     * 7.内复核完成；
     * 8.集货完成；
     * 9.外复核索取；
     * A.外复核完成；
     */
    INIT("0", "初始状态；"),
    WAVE("1", "生成波次；"),
    ABNORMAL("2", "异常状态；"),
    RWKSQ("3", "任务可索取；"),
    RWYSQ("4", "任务已索取；"),
    JHQR("5", "拣货确认；"),
    NFHSQ("6", "内复核索取；"),
    NFHWC("7", "内复核完成；"),
    JHWC("8", "集货完成；"),
    WFHSQ("9", "外复核索取；"),
    WFHWC("A", "外复核完成；"),
    RED("R", "整单冲红了"),
    ;

    private String value;
    private String desc;

}
